import edu.rice.cs.mint.runtime.*;

public class SerializeSample {
    public static final class CSPClass {
	public int m() { return 5; }
    }
    public static void main (String [] args) {
        final int lifted = 1;
	final CSPClass csp = new CSPClass();
        Code<Integer> c = <| 1 |>;
        int x = <|
	    let final int renamed = 1;
	    2 * lifted + 3 * `c + renamed + csp.m()
	|>.run();
	System.out.println(x);
    }
}
